<template>
  <content-loader
    :speed="2"
    :width="width"
    height="80"
    primary-color="#e0e0e0"
    secondary-color="#faf9f9"
  >
    <!-- Thumbnail at left -->
    <rect
      height="60"
      rx="5"
      ry="5"
      width="60"
      x="0"
      y="0"
    />
    <!-- Header  -->
    <rect
      height="20"
      rx="5"
      ry="5"
      width="200"
      x="70"
      y="0"
    />
    <rect
      height="10"
      rx="5"
      ry="5"
      width="300"
      x="280"
      y="10"
    />
    <!-- First Line of body -->
    <rect
      height="10"
      rx="5"
      ry="5"
      width="300"
      x="70"
      y="30"
    />
    <rect
      height="10"
      rx="5"
      ry="5"
      width="420"
      x="380"
      y="30"
    />
    <!-- Second line of body -->
    <rect
      height="10"
      rx="5"
      ry="5"
      width="250"
      x="70"
      y="50"
    />
    <rect
      height="10"
      rx="5"
      ry="5"
      width="70"
      x="330"
      y="50"
    />
    <rect
      height="10"
      rx="5"
      ry="5"
      width="390"
      x="410"
      y="50"
    />
    <!-- Buttons at top right -->
    <rect
      :x="width - 80"
      height="20"
      rx="5"
      ry="5"
      width="20"
      y="0"
    />
    <rect
      :x="width - 50"
      height="20"
      rx="5"
      ry="5"
      width="20"
      y="0"
    />
    <rect
      :x="width - 20"
      height="20"
      rx="5"
      ry="5"
      width="20"
      y="0"
    />
  </content-loader>
</template>

<script lang="ts">
import Vue from 'vue';
import { ContentLoader } from 'vue-content-loader';

export default Vue.extend({
  components: {
    ContentLoader,
  },

  props: {
    height: {
      default: 80,
      required: false,
      type: Number,
    },
    width: {
      default: 800,
      required: false,
      type: Number,
    },
  },
});
</script>
